using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Impresion
{
    public class UpdatePlantaDto
    {
        [Required(ErrorMessage = "El nombre de la planta es obligatorio.")]
        [StringLength(50, ErrorMessage = "El nombre no puede exceder los 50 caracteres.")]
        public string Nombre { get; set; } = string.Empty;

        [Required(ErrorMessage = "El detalle de la planta es obligatorio.")]
        [StringLength(200, ErrorMessage = "El detalle no puede exceder los 200 caracteres.")]
        public string Detalle { get; set; } = string.Empty;
    }
}